Skip to main content
GET
/
api
/
Fba
/
FbaShipment
/
list
List FBA shipments with pagination
curl --request GET \
  --url https://api.returnshelper.com/uat/user/api/Fba/FbaShipment/list \
  --header 'x-rr-apikey: <api-key>' \
  --header 'x-rr-apitoken: <api-key>'
{
  "data": [
    {
      "fbaShipmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "apiId": 123,
      "warehouseId": 123,
      "fbaShipmentStatusCode": "<string>",
      "removalOrderId": "<string>",
      "trackingNumber": "<string>",
      "arrivalOn": "2023-11-07T05:31:56Z",
      "createOn": "2023-11-07T05:31:56Z"
    }
  ]
}
Returns a paginated list of your FBA shipments. Use this to display an FBA shipment queue or reconcile state with your records.

Authorizations

x-rr-apikey
string
header
required

Your API key

x-rr-apitoken
string
header
required

Your API token — keep this private

Query Parameters

pageSize
integer
required

Number of records per page (max 50)

Required range: 1 <= x <= 50
offset
integer
required

Pagination offset

createFrom
string<date-time>
required

Filter by creation date from (ISO 8601)

createTo
string<date-time>
required

Filter by creation date to (ISO 8601)

Response

Success

data
object[]

List of created FBA shipments